For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brands

Get brand

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
activebooleanOpcional
get/brands/{id}
GET /api/sales/brands/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "active": true,
  "images": [
    {
      "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
      "main": true
    }
  ]
}

Update brand

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
namestringObrigatório
activebooleanObrigatório
Respostas
200

Brand updated successfully

application/json
idstringOpcional
namestringOpcional
activebooleanOpcional
put/brands/{id}
PUT /api/sales/brands/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 156

{
  "name": "text",
  "active": true,
  "images": [
    {
      "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
      "main": true
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "active": true,
  "image": [
    {
      "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
      "main": true
    }
  ]
}

Remove brand

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Brand removed successfully

application/json
idstringOpcional
delete/brands/{id}
DELETE /api/sales/brands/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

List brand

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
activebooleanOpcional
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/brands
GET /api/sales/brands HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "resource_file_id": "text",
      "active": true
    }
  ]
}

Create brand

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
namestringObrigatório
activebooleanObrigatório
Respostas
201

Brand created successfully

application/json
idstringOpcional
namestringOpcional
activebooleanOpcional
post/brands
POST /api/sales/brands HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168

{
  "id": "text",
  "name": "text",
  "active": true,
  "images": [
    {
      "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
      "main": true
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "active": true,
  "images": [
    {
      "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
      "main": true
    }
  ]
}